static const char *RcsId = "$Header: /cvsroot/tango-ds/Instrumentation/Diffractometer/src/main.cpp,v 1.2 2008/09/22 08:46:32 piccaf Exp $";
//+=============================================================================
//
// file :        main.cpp
//
// description : C++ source for a TANGO device server main.
//               The main rule is to initialise (and create) the Tango
//               system and to create the DServerClass singleton.
//               The main should be the same for every Tango device server.
//
// project :     TANGO Device Server
//
// $Author: piccaf $
//
// $Revision: 1.2 $ $
//
// $Log: main.cpp,v $
// Revision 1.2  2008/09/22 08:46:32  piccaf
// * add files from the new diffractometer Device
//
// Revision 1.4  2007/05/15 08:26:57  hardion
// * Merge with branch DIFFRACTO_KAPPA_6C
//
// Revision 1.3.4.2  2007/02/19 13:14:48  hardion
// * compil with rhel and test on cristal beamline
//
// Revision 1.3.4.1  2006/08/21 14:08:07  hardion
// * Creation of class Diffractometer which is a common base for all diffractometer
// * Creation of class Kappa6C inherit from Diffractometer
//
// Test in progress
//
//
// copyleft :     Synchrotron SOLEIL
//                L'Orme des Merisiers
//                Saint-Aubin - BP 48
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>


int main(int argc,char *argv[])
{

        Tango::Util *tg = NULL;
        try
        {
                // Initialise the device server
                //----------------------------------------
                tg = Tango::Util::init(argc,argv);

                // Create the device server singleton 
                // which will create everything
                //----------------------------------------
                tg->server_init(false);

                // Run the endless loop
                //----------------------------------------
                cout << "Ready to accept request" << endl;
                tg->server_run();
        }
        catch (bad_alloc)
        {
                cout << "Can't allocate memory to store device object !!!" << endl;
                cout << "Exiting" << endl;
        }
        catch (CORBA::Exception &e)
        {
                Tango::Except::print_exception(e);

                cout << "Received a CORBA_Exception" << endl;
                cout << "Exiting" << endl;
        }

        // clean ORB, threads.....
        //--------------------------
        if (tg)
                tg->server_cleanup();

        return(0);
}
